## haskell-attoparsec 0.10.1.1

=== tests/Makefile ===
all: TestFastSet.out qc.out

%.out: %.exe
	./$< | tee $<.tmp
	mv $<.tmp $@

qc.exe: QC.hs
	ghc -O -fno-warn-orphans --make -o $@ $<

%.exe: %.hs
	ghc -O -fno-warn-orphans --make -o $@ $<

clean:
	-rm -f *.hi *.o *.exe *.out

## haskell-attoparsec 0.8.5.2

=== debian/changelog ===
haskell-attoparsec (0.8.5.2-1) unstable; urgency=low

  * debian/control: Use ghc instead of ghc6.
  * debian/watch: Improved.
  * Imported Upstream version 0.8.5.2
  * debian/control: Add libghc-deepseq-dev to Build-Depends.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 14 Apr 2011 22:34:42 +0900

haskell-attoparsec (0.8.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #607412)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 17 Dec 2010 23:53:50 +0900

=== debian/control ===
Source: haskell-attoparsec
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), haskell-devscripts,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-deepseq-dev,
	libghc-deepseq-prof,
	libghc-deepseq-doc
Standards-Version: 3.9.1
Homepage: http://bitbucket.org/bos/attoparsec

Package: libghc-attoparsec-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Suggests: ${haskell:Suggests}
Description: Fast combinator parsing for bytestrings
 A fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary
 file formats.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-attoparsec-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Suggests: ${haskell:Suggests}
Description: Fast combinator parsing for bytestrings; profiling library
 A fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary
 file formats.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-attoparsec-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Fast combinator parsing for bytestrings; documentation
 A fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary
 file formats.
 .
 This package contains the library documentation.

## haskell-attoparsec 0.9.0.0

=== debian/changelog ===
haskell-attoparsec (0.9.0.0-1build1) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Nov 2011 16:15:15 -0400

haskell-attoparsec (0.9.0.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2 (with no changes). 

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 10 Jun 2011 10:47:49 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	libghc-deepseq-dev,
 	libghc-deepseq-prof,
 	libghc-deepseq-doc
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://bitbucket.org/bos/attoparsec
 
 Package: libghc-attoparsec-dev

## haskell-attoparsec 0.10.0.3

=== debian/changelog ===
haskell-attoparsec (0.10.0.3-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 01 Dec 2011 10:22:05 +0900

haskell-attoparsec (0.9.1.2-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 10:43:53 +0900

haskell-attoparsec (0.9.1.1-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 11 Aug 2011 21:29:21 +0900

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
 	ghc,
 	ghc-prof,
 	ghc-doc,
+	libghc-text-dev (>=0.11.1.5),
+	libghc-text-prof (>=0.11.1.5),
+	libghc-text-doc (>=0.11.1.5),
 	libghc-deepseq-dev,
 	libghc-deepseq-prof,
 	libghc-deepseq-doc

## haskell-attoparsec 0.10.1.0

=== debian/changelog ===
haskell-attoparsec (0.10.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 04 Feb 2012 18:10:13 -0500

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Section: haskell
 Priority: optional
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), haskell-devscripts,
-	ghc,
-	ghc-prof,
-	ghc-doc,
-	libghc-text-dev (>=0.11.1.5),
-	libghc-text-prof (>=0.11.1.5),
-	libghc-text-doc (>=0.11.1.5),
-	libghc-deepseq-dev,
-	libghc-deepseq-prof,
-	libghc-deepseq-doc
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Clint Adams <clint@debian.org>
+Build-Depends: cdbs, debhelper (>= 7.0.50~), haskell-devscripts
+  , ghc
+  , ghc-prof
+  , libghc-text-dev (>> 0.11.1.5)
+  , libghc-text-prof
+Build-Depends-Indep: ghc-doc
+  , libghc-text-doc
 Standards-Version: 3.9.2
 Homepage: http://bitbucket.org/bos/attoparsec
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-attoparsec
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-attoparsec
 
 Package: libghc-attoparsec-dev
 Architecture: any

## haskell-attoparsec 0.10.1.1

=== debian/changelog ===
haskell-attoparsec (0.10.1.1-1) unstable; urgency=low

  * New upstream version.
  * Enable test suite.

 -- Clint Adams <clint@debian.org>  Sun, 12 Feb 2012 17:28:38 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,9 @@
   , ghc-prof
   , libghc-text-dev (>> 0.11.1.5)
   , libghc-text-prof
+  , libghc-quickcheck2-dev (>> 2.4)
+  , libghc-test-framework-dev (>> 0.4)
+  , libghc-test-framework-quickcheck2-dev (>> 0.2)
 Build-Depends-Indep: ghc-doc
   , libghc-text-doc
 Standards-Version: 3.9.2

## haskell-attoparsec 0.10.4.0

=== examples/Makefile ===
CC := gcc
CFLAGS := -O3 -Wall
# To make the code about 6% faster:
# CFLAGS += -fwhole-program --combine
CPPFLAGS := -I$(HOME)/hg/http-parser

all: c-http

c-http: rfc2616.c http_parser.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^

clean:
	rm -f *.hi *.o c-http

vpath %.c $(HOME)/hg/http-parser

=== debian/changelog ===
haskell-attoparsec (0.10.4.0-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 01:14:55 +0100

haskell-attoparsec (0.10.4.0-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:50 +0200

haskell-attoparsec (0.10.4.0-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 07 Feb 2013 20:29:31 +0100

haskell-attoparsec (0.10.1.1-4) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Oct 2012 13:54:01 +0200

haskell-attoparsec (0.10.1.1-3) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:00:11 +0200

haskell-attoparsec (0.10.1.1-2) unstable; urgency=low

  * Do not run test suite threaded, does not work on all arches. 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 20 Mar 2012 09:37:40 +0100

=== debian/control ===
Source: haskell-attoparsec
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Clint Adams <clint@debian.org>
Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-text-dev (>> 0.11.1.5)
  , libghc-text-prof
  , libghc-quickcheck2-dev (>> 2.4)
  , libghc-test-framework-dev (>> 0.4)
  , libghc-test-framework-quickcheck2-dev (>> 0.2)
Build-Depends-Indep: ghc-doc
  , libghc-text-doc
Standards-Version: 3.9.4
Homepage: http://bitbucket.org/bos/attoparsec
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-attoparsec
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-attoparsec

Package: libghc-attoparsec-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Suggests: ${haskell:Suggests}
Description: Fast combinator parsing for bytestrings${haskell:ShortBlurb}
 A fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary
 file formats.
 .
 ${haskell:Blurb}

Package: libghc-attoparsec-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Suggests: ${haskell:Suggests}
Description: Fast combinator parsing for bytestrings${haskell:ShortBlurb}
 A fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary
 file formats.
 .
 ${haskell:Blurb}

Package: libghc-attoparsec-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Fast combinator parsing for bytestrings${haskell:ShortBlurb}
 A fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary
 file formats.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|attoparsec-$1.tar.gz|" \
  http://hackage.haskell.org/packages/archive/attoparsec  \
 ([\d\.]*\d)/

## haskell-attoparsec 0.12.1.5

=== debian/changelog ===
haskell-attoparsec (0.12.1.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:41 +0200

haskell-attoparsec (0.12.1.5-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 16:33:43 +0200

haskell-attoparsec (0.12.1.2-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 16:46:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,22 @@
 Priority: optional
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Clint Adams <clint@debian.org>
-Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.8.15)
+Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
   , libghc-text-dev (>> 0.11.1.5)
   , libghc-text-prof
-  , libghc-quickcheck2-dev (>> 2.4)
-  , libghc-test-framework-dev (>> 0.4)
-  , libghc-test-framework-quickcheck2-dev (>> 0.2)
+  , libghc-scientific-dev (>> 0.3.1)
+  , libghc-scientific-dev (<< 0.4)
+  , libghc-scientific-prof
+  , libghc-quickcheck2-dev (>> 2.7)
+  , libghc-quickcheck-unicode-dev
+  , libghc-test-framework-dev (>> 0.8.0.2)
+  , libghc-test-framework-quickcheck2-dev (>> 0.3.0.3)
+  , libghc-vector-dev
 Build-Depends-Indep: ghc-doc
   , libghc-text-doc
+  , libghc-scientific-doc
 Standards-Version: 3.9.4
 Homepage: http://bitbucket.org/bos/attoparsec
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-attoparsec

## haskell-attoparsec 0.12.1.6

=== debian/changelog ===
haskell-attoparsec (0.12.1.6-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:05 -0500

haskell-attoparsec (0.12.1.6-2) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:58 +0200

haskell-attoparsec (0.12.1.6-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 16:02:36 +0200

## haskell-attoparsec 0.13.0.1

=== debian/changelog ===
haskell-attoparsec (0.13.0.1-1build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2016 22:24:21 +0000

haskell-attoparsec (0.13.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 10 Jan 2016 20:54:39 -0500

=== debian/control ===
Source: haskell-attoparsec
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-scientific-dev (>= 0.3.1),
 libghc-scientific-dev (<< 0.4),
 libghc-scientific-prof,
 libghc-text-dev (>= 1.1.1.3),
 libghc-text-prof,
 libghc-quickcheck2-dev (>= 2.7),
 libghc-quickcheck-unicode-dev,
 libghc-scientific-dev,
 libghc-test-framework-dev (>= 0.8.0.2),
 libghc-test-framework-quickcheck2-dev (>= 0.3.0.3),
 libghc-text-dev,
 libghc-vector-dev,
Build-Depends-Indep: ghc-doc,
 libghc-scientific-doc,
 libghc-text-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/bos/attoparsec
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-attoparsec-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Fast combinator parsing for bytestrings${haskell:ShortBlurb}
 A fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary
 file formats.
 .
 ${haskell:Blurb}

Package: libghc-attoparsec-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Fast combinator parsing for bytestrings${haskell:ShortBlurb}
 A fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary
 file formats.
 .
 ${haskell:Blurb}

Package: libghc-attoparsec-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Fast combinator parsing for bytestrings${haskell:ShortBlurb}
 A fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary
 file formats.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/attoparsec/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-attoparsec 0.13.0.2

=== debian/changelog ===
haskell-attoparsec (0.13.0.2-1build1) yakkety; urgency=medium

  * No-change rebuild against libghc-scientific-dev-0.3.4.8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Jul 2016 06:37:17 +0000

haskell-attoparsec (0.13.0.2-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

  [ Sean Whitton ]
  * Refresh patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 29 May 2016 19:29:02 +0900

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-attoparsec
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
@@ -16,17 +17,17 @@
  libghc-quickcheck2-dev (>= 2.7),
  libghc-quickcheck-unicode-dev,
  libghc-scientific-dev,
- libghc-test-framework-dev (>= 0.8.0.2),
- libghc-test-framework-quickcheck2-dev (>= 0.3.0.3),
+ libghc-tasty-dev (>= 0.11),
+ libghc-tasty-quickcheck-dev (>= 0.8),
  libghc-text-dev,
  libghc-vector-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-scientific-doc,
  libghc-text-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/bos/attoparsec
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-attoparsec-dev
 Architecture: any

## haskell-attoparsec 0.13.1.0

=== debian/changelog ===
haskell-attoparsec (0.13.1.0-3build6) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 20:43:42 +0000

haskell-attoparsec (0.13.1.0-3build5) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2017 19:20:22 +0200

haskell-attoparsec (0.13.1.0-3build4) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jul 2017 18:13:37 +0200

haskell-attoparsec (0.13.1.0-3build3) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Jul 2017 15:27:47 +0200

haskell-attoparsec (0.13.1.0-3build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:29:55 +0000

haskell-attoparsec (0.13.1.0-3build1) zesty; urgency=medium

  * Rebuild against latest GHC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 26 Jan 2017 09:15:52 +0530

haskell-attoparsec (0.13.1.0-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:26 -0400

haskell-attoparsec (0.13.1.0-2) experimental; urgency=medium

  * Patch out use of empty 'fail' library.

 -- Clint Adams <clint@debian.org>  Sun, 09 Oct 2016 13:13:21 -0400

haskell-attoparsec (0.13.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 29 Sep 2016 11:02:43 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,16 @@
 Priority: optional
 Section: haskell
 Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+ haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 8),
  ghc-prof,
  libghc-scientific-dev (>= 0.3.1),
  libghc-scientific-dev (<< 0.4),
  libghc-scientific-prof,
+ libghc-semigroups-dev (>= 0.16.1),
+ libghc-semigroups-dev (<< 0.19),
+ libghc-semigroups-prof,
  libghc-text-dev (>= 1.1.1.3),
  libghc-text-prof,
  libghc-quickcheck2-dev (>= 2.7),
@@ -23,11 +26,12 @@
  libghc-vector-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-scientific-doc,
+ libghc-semigroups-doc,
  libghc-text-doc,
 Standards-Version: 3.9.8
 Homepage: https://github.com/bos/attoparsec
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-attoparsec
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-attoparsec-dev
 Architecture: any

## haskell-attoparsec 0.13.2.2

=== examples/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CC := gcc
+CC := cc
 CFLAGS := -O3 -Wall
 # To make the code about 6% faster:
 # CFLAGS += -fwhole-program --combine
@@ -12,4 +12,8 @@
 clean:
 	rm -f *.hi *.o c-http
 
-vpath %.c $(HOME)/hg/http-parser
+http_parser.c: http_parser.h
+	curl -O https://raw.githubusercontent.com/joyent/http-parser/master/http_parser.c
+
+http_parser.h:
+	curl -O https://raw.githubusercontent.com/joyent/http-parser/master/http_parser.h

=== debian/changelog ===
haskell-attoparsec (0.13.2.2-8) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

  [ Clint Adams ]
  * Patch for newer QuickCheck.

 -- Clint Adams <clint@debian.org>  Tue, 27 Aug 2019 21:41:48 -0400

haskell-attoparsec (0.13.2.2-6) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:25 +0300

haskell-attoparsec (0.13.2.2-5) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:02:01 +0300

haskell-attoparsec (0.13.2.2-4) unstable; urgency=medium

  * Restrict satisfyWith bytestring test to ASCII.

 -- Clint Adams <clint@debian.org>  Sat, 14 Apr 2018 16:12:05 -0400

haskell-attoparsec (0.13.2.2-3) unstable; urgency=medium

  * Run tests in C.UTF-8.

 -- Clint Adams <clint@debian.org>  Sat, 14 Apr 2018 14:26:05 -0400

haskell-attoparsec (0.13.2.2-2) unstable; urgency=medium

  * Patch for newer QuickCheck.

 -- Clint Adams <clint@debian.org>  Sat, 14 Apr 2018 00:46:09 -0400

haskell-attoparsec (0.13.2.2-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 15:17:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: haskell-attoparsec
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
- ghc (>= 8),
+ ghc (>= 8.4.3),
  ghc-prof,
  libghc-scientific-dev (>= 0.3.1),
  libghc-scientific-dev (<< 0.4),
@@ -15,23 +15,20 @@
  libghc-semigroups-dev (>= 0.16.1),
  libghc-semigroups-dev (<< 0.19),
  libghc-semigroups-prof,
- libghc-text-dev (>= 1.1.1.3),
- libghc-text-prof,
  libghc-quickcheck2-dev (>= 2.7),
+ libghc-quickcheck2-dev (<< 2.13),
  libghc-quickcheck-unicode-dev,
  libghc-scientific-dev,
  libghc-tasty-dev (>= 0.11),
  libghc-tasty-quickcheck-dev (>= 0.8),
- libghc-text-dev,
  libghc-vector-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-scientific-doc,
  libghc-semigroups-doc,
- libghc-text-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Homepage: https://github.com/bos/attoparsec
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-attoparsec
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-attoparsec
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-attoparsec]
 
 Package: libghc-attoparsec-dev
 Architecture: any

## haskell-attoparsec 0.13.2.4

=== benchmarks/Makefile ===
all: med.txt tiny

tiny: Tiny.hs
	ghc -O --make -o $@ $<

%: %.bz2
	bunzip2 -k $<

clean:
	-rm -f *.o *.hi tiny

=== debian/changelog ===
haskell-attoparsec (0.13.2.4-2build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:19:35 +0000

haskell-attoparsec (0.13.2.4-2build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jul 2020 11:32:34 +0200

haskell-attoparsec (0.13.2.4-2) unstable; urgency=medium

  * Drop QuickCheck patch.

 -- Clint Adams <clint@debian.org>  Mon, 01 Jun 2020 18:14:42 -0400

haskell-attoparsec (0.13.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 May 2020 09:34:48 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-attoparsec
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
@@ -12,11 +13,9 @@
  libghc-scientific-dev (>= 0.3.1),
  libghc-scientific-dev (<< 0.4),
  libghc-scientific-prof,
- libghc-semigroups-dev (>= 0.16.1),
- libghc-semigroups-dev (<< 0.19),
- libghc-semigroups-prof,
- libghc-quickcheck2-dev (>= 2.7),
- libghc-quickcheck2-dev (<< 2.13),
+ libghc-quickcheck2-dev (>= 2.13.2),
+ libghc-quickcheck2-dev (<< 2.14),
+ libghc-quickcheck2-prof,
  libghc-quickcheck-unicode-dev,
  libghc-scientific-dev,
  libghc-tasty-dev (>= 0.11),

## haskell-attoparsec 0.14.4

=== debian/changelog ===
haskell-attoparsec (0.14.4-2) unstable; urgency=medium

  * Remove internal library (Closes: #1013458)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 21 Jul 2022 16:20:20 +0300

haskell-attoparsec (0.14.4-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 16:45:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-attoparsec
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
@@ -14,7 +13,7 @@
  libghc-scientific-dev (<< 0.4),
  libghc-scientific-prof,
  libghc-quickcheck2-dev (>= 2.13.2),
- libghc-quickcheck2-dev (<< 2.14),
+ libghc-quickcheck2-dev (<< 2.15),
  libghc-quickcheck2-prof,
  libghc-quickcheck-unicode-dev,
  libghc-scientific-dev,
@@ -24,8 +23,8 @@
 Build-Depends-Indep: ghc-doc,
  libghc-scientific-doc,
  libghc-semigroups-doc,
-Standards-Version: 4.4.0
-Homepage: https://github.com/bos/attoparsec
+Standards-Version: 4.6.1
+Homepage: https://github.com/bgamari/attoparsec
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-attoparsec
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-attoparsec]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/attoparsec/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
